## LassoSamlpResponseAbstract

LassoSamlpResponseAbstract — <samlp:ResponseAbstractType>

## Functions

void | lasso_samlp_response_abstract_fill ()

## Types and Values

struct | LassoSamlpResponseAbstract

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSamlpResponseAbstract
                ├── LassoSamlpResponse
                ├── LassoLibStatusResponse
                ╰── LassoLibNameIdentifierMappingResponse

## Description

Figure 35. Schema fragment for samlp:ResponseAbstractType

    <complexType name="ResponseAbstractType" abstract="true">
      <sequence>
         <element ref="ds:Signature" minOccurs="0"/>
      </sequence>
      <attribute name="ResponseID" type="saml:IDType" use="required"/>
      <attribute name="InResponseTo" type="saml:IDReferenceType" use="optional"/>
      <attribute name="MajorVersion" type="integer" use="required"/>
      <attribute name="MinorVersion" type="integer" use="required"/>
      <attribute name="IssueInstant" type="dateTime" use="required"/>
      <attribute name="Recipient" type="anyURI" use="optional"/>
    </complexType>

    From oasis-sstc-saml-schema-assertion-1.0.xsd:
    <simpleType name="IDType">
      <restriction base="string"/>
    </simpleType>
    <simpleType name="IDReferenceType">
      <restriction base="string"/>
    </simpleType>

## Functions

### lasso_samlp_response_abstract_fill ()

    void
    lasso_samlp_response_abstract_fill (LassoSamlpResponseAbstract *response,
                                        const char *InResponseTo,
                                        const char *Recipient);

## Types and Values

### struct LassoSamlpResponseAbstract

    struct LassoSamlpResponseAbstract {
    	/* <attribute name="ResponseID" type="saml:IDType" use="required"/> */
    	char *ResponseID;
    	/* <attribute name="InResponseTo" type="saml:IDReferenceType" use="optional"/> */
    	char *InResponseTo;
    	/* <attribute name="MajorVersion" type="integer" use="required"/> */
    	int MajorVersion;
    	/* <attribute name="MinorVersion" type="integer" use="required"/> */
    	int MinorVersion;
    	/* <attribute name="IssueInstant" type="dateTime" use="required"/> */
    	char *IssueInstant;
    	/* <attribute name="Recipient" type="anyURI" use="optional"/> */
    	char *Recipient;

    	/* ds:Signature stuffs */
    	LassoSignatureType sign_type;
    	LassoSignatureMethod sign_method;
    	char *private_key_file;
    	char *certificate_file;
    };